cURL
curl --request GET \ --url https://api.kit.com/v4/posts/{id} \ --header 'X-Kit-Api-Key: <api-key>'
{ "post": { "id": 25, "publication_id": 128, "created_at": "2026-05-11T19:51:03Z", "title": "My Newsletter Post", "slug": "my-newsletter-post", "description": null, "meta_description": null, "status": "published", "published_at": "2026-05-10T19:51:03Z", "sent_at": null, "thumbnail_alt": null, "thumbnail_url": null, "is_paid": false, "public_url": "https://asdf.kit.com/posts/my-newsletter-post", "content": "<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\" \"http://www.w3.org/TR/REC-html40/loose.dtd\">\n<!-- -->\n" } }
Documentation IndexFetch the complete documentation index at: https://developers.kit.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developers.kit.com/llms.txt
Use this file to discover all available pages before exploring further.
Authenticate API requests via an API Key
Returns the post details
Show child attributes
Was this page helpful?